package com.yonge.cooleshow.biz.dal.queryInfo;

import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class SubjectQueryInfo extends QueryInfo {
    @ApiModelProperty(value = "父节点编号",required = false)
    private Long parentId;
    
    @ApiModelProperty(value = "查询类型(category - 分类   list - 列表)",required = false)
    private String queryType;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private Boolean delFlag = false;

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

	public String getQueryType() {
		return queryType;
	}

	public void setQueryType(String queryType) {
		this.queryType = queryType;
	}
}
